body {
    font-family: 'Manrope', sans-serif;
    background-color: #f4f4f4;
    display: flex;
    box-sizing: border-box;
    height: 100%;
    min-height: 100vh;
    flex-direction: column;
    margin: 0;
    padding: 0;
    font-weight: 800;
    font-style: normal;
}

html {
    margin: 0;
    padding: 0;
    height: 100%;
}

main {
    flex: 1;
    overflow-y: auto;
    padding: 10px;
}

.navbar {
    width: 100%;
    height: 60px;
    background-color: #2C363F;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 0 20px;
}

.nav-button {
    background: none;
    border: none;
    cursor: pointer;
    margin: 0 10px;
}

.nav-button img {
    width: 30px;
    height: 30px;
}

.navbar-container {
    display: flex;
    justify-content: space-between;
    align-items: center;
    font-weight: 800;
    width: 100%;
    height: 100%;
    padding: 0 10px;
}

.logo {
    display: flex;
    align-items: center;
    justify-content: center;
    font-family: 'Manrope';
    font-weight: 800;
    font-style: normal;
    font-size: 24px;
    line-height: 33px;
    font-feature-settings: 'liga' off;
    color: #0CA789;
    white-space: nowrap;
    width: 80%;
}

.logo img {
    width: 40px;
    height: 24px;
    margin-left: 10px;
}

.logo-content {
    display: flex;
    align-items: center;
}

.menu {
    width: 20%;
    margin-right: auto;
    position: relative;
    display: inline-block;
}

.menu img {
    width: 30px;
    height: 30px;
}

.menu-item {
    font-family: 'Manrope', sans-serif;
    font-style: normal;
    font-weight: 600;
    font-size: 14px;
    line-height: 19px;
    color: black;
    padding: 12px 16px;
    text-decoration: none;
    display: block;
    margin: 10px;
    background-color: #EFF1F3; /* Cor dos botões */
    border-radius: 8px;
    background-position: 15px center;
    background-repeat: no-repeat;
    padding-left: 50px; /* Ajusta o espaço para a imagem */
}

.dropdown-menu a:hover {
    background-color: #f1f1f1;
}

.meu-painel {
    background-image: url('/Imagens/MeuPainel.png');
}

.turmas {
    background-image: url('/Imagens/Turmas.png');
}

.anotacoes {
    background-image: url('/Imagens/Anotações.png');
}

.gerenciamento {
    background-image: url('/Imagens/Gerenciamento.png');
}

.sair {
    background-image: url('/Imagens/sair.png');
}

.sino-relogio {
    width: 20%;
    display: flex;
    justify-content: flex-end;
}

.relogio {
    margin-right: 10px;
}

* {
    box-sizing: border-box;
    font-family: 'Manrope', sans-serif;
}

.formulario-cadastro-usuario {
    width: calc(100% - 40px);
    /* Deixa 20px de espaço de cada lado */
    margin: 0 auto;
    display: flex;
    flex-direction: column;
    background: #ffffff;
    border-radius: 3px;
    padding: 1em;
    flex: 1; /* Ajuste feito aqui */
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    position: relative;
    /* Para alinhar a linha */
}

.formulario-cadastro-usuario h1 {
    font-weight: 800;
    font-size: 24px;
    font-style: normal;
    line-height: 33px;
    font-feature-settings: 'liga' off;
    color: #322c3f;
    margin: 0 auto;
    border-bottom: 4px solid #2C363F;
    margin-bottom: 10px;
    padding-bottom: 10px;
    text-align: left;
    width: 100%;
    max-width: 328px;
    /* Define a largura máxima do título */
}

.formulario-cadastro-usuario form {
    margin-top: 20px;
}

.form_grupo {
    position: relative;
    width: calc(100% - 40px);
    /* Deixa 20px de espaço de cada lado */
    max-width: 328px;
    margin: 0 auto 20px auto;
}

.form_grupo::before {
    content: "";
    position: absolute;
    width: 100%;
    height: 100%;
    left: 0;
    top: 0;
    background: #EFF1F3;
    border: 2px solid #A9BCD0;
    border-radius: 5px;
}

.form_label {
    position: absolute;
    width: calc(100% - 20px);
    height: 47px;
    left: 0;
    top: 0;
    bottom: 0;
    right: 0;
    text-align: left;
    font-weight: 600;
    font-size: 14px;
    line-height: 47px;
    color: #11151C;
}

.form_input {
    width: calc(100% - 20px);
    border: none;
    outline: none;
    background: transparent;
    padding: 10px;
    font-size: 14px;
    line-height: 20px;
    position: relative;
    z-index: 1;
    text-align: left;
}

.exercise-checkbox {
    width: 18px;
    height: 18px;
    cursor: pointer;
    border: 2px solid #11151C;
    background-color: #FFF;
    border-radius: 3px;
    margin-right: 10px;
}

.exercise-checkbox:checked {
    background-color: #0CA789;
}

.form-check label {
    font-weight: 600;
    font-size: 16px;
    line-height: 20px;
    color: #11151C;
    align-items: flex-start;
}

.form-check .checkbox-container {
    display: flex;
    align-items: flex-start;
}

.formulario-cadastro-usuario hr {
    margin: 0 auto 20px auto;
    /* Ajusta a margem da linha */
    width: 80%;
    /* Define a largura da linha */
    border: none;
    border-bottom: 2px solid #2C363F;
    /* Cor e espessura da linha */
}

.form_grupo label {
    margin-left: 10px;
    margin-top: 5px;
    color: rgba(17, 21, 28, 0.76);
}

.form_grupo1 {
    position: relative;
    width: calc(100% - 40px);
    /* Deixa 20px de espaço de cada lado */
    max-width: 328px;
    margin: 0 auto 20px auto;
    text-align: center;
    align-items: flex-start;
}

.submit {
    width: calc(100% - 40px);
    max-width: 328px;
    text-align: center;
    margin: 0 auto 20px auto;
}

.submit_btn {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 10px 20px;
    border: none;
    outline: none;
    background-color: #0CA789;
    color: #EFF1F3;
    font-weight: 600;
    font-size: 18px;
    line-height: 100%;
    border-radius: 10px;
    margin: 20px auto;
    cursor: pointer;
    width: 100%;
    height: 43px;
}

.submit_btn:hover {
    background-color: #444444;
    transform: scale(1.03);
}

.form_input::placeholder {
    color: rgba(17, 21, 28, 0.5);
    font-style: italic;
}

/* Responsividade */
@media (max-width: 360px) {
    .navbar {
        padding: 0 10px;
    }

    .logo {
        font-size: 20px;
    }

    .logo img {
        width: 30px;
        height: 18px;
    }

    .formulario-cadastro-usuario {
        padding: 0.5em;
    }

    .form_grupo,
    .form_grupo1,
    .submit {
        width: calc(100% - 20px);
    }

    .submit_btn {
        width: 100%;
    }
}